Bug 1467853 - Pix pulls gthumb as dependency
Pix pulls gthumb as dependency
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 06:45 EDT by Mario Blättermann
Modified: 2017-12-12 05:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:26:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2017-07-05 06:45:28 EDT
Description of problem:

During the latest update, I was wondering why I get gthumb as an update without having it installed previously.

Version-Release number of selected component (if applicable):
[root@t400 mariobl]# rpm -qi pix
Name        : pix
Version     : 1.4.1
Release     : 3.fc25
Architecture: x86_64
Install Date: Mi 05 Jul 2017 12:23:04 CEST
Group       : Unspecified
Size        : 8952908
License     : GPLv2+
Signature   : RSA/SHA256, Sa 13 Mai 2017 23:27:52 CEST, Key ID 4089d8f2fdb19c98
Source RPM  : pix-1.4.1-3.fc25.src.rpm
Build Date  : Sa 13 Mai 2017 23:11:27 CEST
Build Host  : buildhw-02.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://github.com/linuxmint/pix
Summary     : Image management application

[root@t400 mariobl]# rpm -qi gthumb
Name        : gthumb
Epoch       : 1
Version     : 3.4.5
Release     : 1.fc25
Architecture: x86_64
Install Date: Mi 05 Jul 2017 12:19:44 CEST
Group       : Unspecified
Size        : 10845617
License     : GPLv2+
Signature   : RSA/SHA256, Do 20 Apr 2017 14:58:43 CEST, Key ID 4089d8f2fdb19c98
Source RPM  : gthumb-3.4.5-1.fc25.src.rpm
Build Date  : Do 20 Apr 2017 14:11:44 CEST
Build Host  : buildvm-28.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://wiki.gnome.org/Apps/gthumb
Summary     : Image viewer, editor, organizer

How reproducible:
After the update, I tried to uninstall it again because I really don't need it. And this happens:

[root@t400 mariobl]# dnf remove gthumb
Dependencies resolved.
================================================================================
 Package        Arch           Version                   Repository        Size
================================================================================
Removing:
 gthumb         x86_64         1:3.4.5-1.fc25            @updates          10 M
 pix            x86_64         1.4.1-3.fc25              @updates         8.5 M

Transaction Summary
================================================================================
Remove  2 Packages


Uninstalling gthumb would also remove pix. Indeed, gthumb provides something which pix needs: libcatalogs.so(). This library should be split off the gthumb package.
Comment 1 Fedora End Of Life 2017-11-16 13:57:17 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:26:12 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.